Subject: Re: uncached user space mapping with mmap() ???

From: Jon Masters <[email-masked]>
Date: Tue, 09 Mar 2004 10:55:12 +0000

Fillod Stephane wrote:

> The bigger the mmap, the better, and the "lesser" entries in page table
> there will be.

That's not true though. I went along with the rest of your mail, but the
above just does not make sense to me.

Are you somehow assuming you can have variable page sizes or will
necessarily be using BATs to map in large regions? If this is the case
then do bear in mind the fixed 4K page size on most platforms and the
fact that many architectures like 4xx do not have any BATs anyway.

Cheers,

Jon.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/